Skip to main content
POST
/
workflow
/
inbound-referral
cURL
curl --request POST \
  --url https://api.clarionhealth.com/v1/workflow/inbound-referral \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "referralType": "sleep",
  "referredToLocationId": "2",
  "patientData": {
    "sex": "male",
    "firstName": "<string>",
    "lastName": "<string>",
    "dob": "<string>",
    "homeNumber": "<string>",
    "mrn": "<string>",
    "cellNumber": "<string>",
    "email": "<string>",
    "insuranceName": "<string>",
    "insuranceSubscriberName": "<string>",
    "insuranceSequence": "primary"
  },
  "documentUrl": "<string>",
  "referringProviderFirstName": "<string>",
  "referringProviderLastName": "<string>",
  "referralReason": "<string>",
  "referredToProviderId": "77562"
}
'
{}

Documentation Index

Fetch the complete documentation index at: https://docs.clarionhealth.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
referralType
enum<string>
required
Available options:
sleep,
pulmonology
referredToLocationId
enum<string>
required
Available options:
2
patientData
object
required
documentUrl
string<uri>
referringProviderFirstName
string | null
referringProviderLastName
string | null
referralReason
string | null
referredToProviderId
enum<string>
Available options:
77562,
74570,
75929

Response

Inbound referral created successfully

The response is of type object.